ch.qos.logback.core.rolling

## Class DefaultTimeBasedFileNamingAndTriggeringPolicy<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.rolling.TimeBasedFileNamingAndTriggeringPolicyBase<E>
    - - ch.qos.logback.core.rolling.DefaultTimeBasedFileNamingAndTriggeringPolicy<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  TimeBasedFileNamingAndTriggeringPolicy<E>, TriggeringPolicy<E>, ContextAware, LifeCycle

    public class DefaultTimeBasedFileNamingAndTriggeringPolicy<E>
    extends TimeBasedFileNamingAndTriggeringPolicyBase<E>

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.rolling.TimeBasedFileNamingAndTriggeringPolicyBase

`archiveRemover, artificialCurrentTime, dateInCurrentPeriod, elapsedPeriodsFileName, nextCheck, rc, started, tbrp`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`DefaultTimeBasedFileNamingAndTriggeringPolicy()`

### Method Summary

Methods
`boolean` `isTriggeringEvent(java.io.File activeFile, E event)` Should roll-over be triggered at this time?
`void` `start()`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.rolling.TimeBasedFileNamingAndTriggeringPolicyBase

`computeNextCheck, getArchiveRemover, getCurrentPeriodsFileNameWithoutCompressionSuffix, getCurrentTime, getElapsedPeriodsFileName, isStarted, setCurrentTime, setDateInCurrentPeriod, setDateInCurrentPeriod, setTimeBasedRollingPolicy, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### DefaultTimeBasedFileNamingAndTriggeringPolicy

    public DefaultTimeBasedFileNamingAndTriggeringPolicy()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `TimeBasedFileNamingAndTriggeringPolicyBase<E>`

#### isTriggeringEvent

    public boolean isTriggeringEvent(java.io.File activeFile,
                            E event)

Description copied from interface: `TriggeringPolicy`
Should roll-over be triggered at this time?

Parameters:
  `activeFile` - A reference to the currently active log file.
  `event` - A reference to the currently event.
Returns:
  true if a roll-over should occur.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`